libsidplayfp::Flags Class Reference

`#include <flags.h>`

## Public Member Functions

void | reset ()
void | setNZ (uint8_t value)
uint8_t | get ()
void | set (uint8_t sr)
bool | getN () const
bool | getC () const
bool | getD () const
bool | getZ () const
bool | getV () const
bool | getI () const
void | setN (bool f)
void | setC (bool f)
void | setD (bool f)
void | setZ (bool f)
void | setV (bool f)
void | setI (bool f)

## Detailed Description

Processor Status Register

## Member Function Documentation

## get()

uint8_t libsidplayfp::Flags::get | ( |  | ) |

inline

Get status register value.

## set()

void libsidplayfp::Flags::set | ( | uint8_t | sr | ) |

inline

Set status register value.

## setNZ()

void libsidplayfp::Flags::setNZ | ( | uint8_t | value | ) |

inline

Set N and Z flag values.

Parameters

  value | to set flags from

The documentation for this class was generated from the following file:

- flags.h